CREATE SCHEMA Administration

-- Historie:
--
-- 12.09.2001 - 1.003 (1.004)
-- Referenzen zum Schema Unfall angepasst
-- Polizeidienststelle ergnzt
--
-- 17.12.2000 - 1.002 (1.002)
-- Integration symbolischer Verweise fr
-- Verwaltungsbezirk, Strassenbaudienststelle
-- Strasse und Teilbauwerk
--
-- 29.10.2000 - 1.001 (1.001)
-- passive Versionierung durch Integration der
-- Schemata allgemeine Geometrieobjekte und Grunderwerb
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE Verwaltungsbezirk (
   Verwaltungsbezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung_Lang
      VARCHAR(29),
   Bezeichnung_Mittel
      VARCHAR(19),
   Bezeichnung_Kurz
      VARCHAR(11),
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   FOREIGN KEY (Verwaltungsbezirk_ID) REFERENCES Verwaltungsbezirk_abstrakt,
   Art_Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Art_Verwaltungsbezirk
)

CREATE TABLE Art_Verwaltungsbezirk (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(22) NOT NULL
)

INSERT INTO Art_Verwaltungsbezirk VALUES (1,'Bundesland')
INSERT INTO Art_Verwaltungsbezirk VALUES (2,'Regierungsbezirk')
INSERT INTO Art_Verwaltungsbezirk VALUES (3,'Kreis_kreisfreie_Stadt')
INSERT INTO Art_Verwaltungsbezirk VALUES (4,'Gemeindebezirk')
INSERT INTO Art_Verwaltungsbezirk VALUES (5,'Ortsteil')

CREATE TABLE Verwaltbez__von_verwtechn_Z (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   verwaltungstechn_Zuordnung
      INTEGER NOT NULL REFERENCES verwaltungstechn_Zuordnung
)

CREATE TABLE Verwaltungsbezirk__von_Strasse (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Strasse_abstrakt
      INTEGER NOT NULL REFERENCES Strassennetz.Strasse_abstrakt
)

CREATE TABLE Verwaltungsbez__von_Unfallort (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Angaben_zum_Unfallort
      INTEGER NOT NULL REFERENCES Unfall.Angaben_zum_Unfallort
)

CREATE TABLE Verwaltungsbez__enth_Vermpkt (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt.Vermessungspunkt
)

CREATE TABLE Verwaltungsbez__hat_gem_Kfz (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   Unfallfahrzeug
      INTEGER NOT NULL REFERENCES Unfall.Unfallfahrzeug
)

CREATE TABLE Verwaltbez__zu_DV_Merkm_StaLa (
   Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk,
   DV_Merkmale_StaLa
      INTEGER NOT NULL REFERENCES Unfall.DV_Merkmale_StaLa
)

CREATE TABLE Verwaltungsbezirk_abstrakt (
   Verwaltungsbezirk_abstrakt_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Art_Verwaltungsbezirk_abstrakt
)

CREATE TABLE Art_Verwaltungsbezirk_abstrakt (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(24) NOT NULL
)

INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (1,'Bundesland')
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (2,'Regierungsbezirk')
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (3,'Kreis_kreisfreie_Stadt')
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (4,'Gemeindebezirk')
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (5,'Ortsteil')
INSERT INTO Art_Verwaltungsbezirk_abstrakt VALUES (6,'Verwaltungsbezirk_Symbol')

CREATE TABLE Verwaltungsbezirk_Symbol (
   Verwaltungsbezirk_Symbol_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Verwaltungsbezirk_Symbol_ID) REFERENCES Verwaltungsbezirk_abstrakt,
   Kennung
      VARCHAR(10) NOT NULL
)

CREATE TABLE Bundesland (
   Bundesland_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bundesland_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Bundesland
      CHAR(2) NOT NULL
)

CREATE TABLE Bundesland__enthaelt_RBZ (
   Bundesland
      INTEGER NOT NULL REFERENCES Bundesland,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Regierungsbezirk (
   Regierungsbezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Regierungsbezirk_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Regierungsbezirk
      CHAR(3) NOT NULL
)

CREATE TABLE RBZ__ist_in_Bundesland (
   Regierungsbezirk
      INTEGER NOT NULL REFERENCES Regierungsbezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE RBZ__enthaelt_Kreis (
   Regierungsbezirk
      INTEGER NOT NULL REFERENCES Regierungsbezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis_kreisfreie_Stadt (
   Kreis_kreisfreie_Stadt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreis_kreisfreie_Stadt_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Kreis
      CHAR(5) NOT NULL,
   Kreisart
      CHAR(1) REFERENCES Kreisart
)

CREATE TABLE Kreis__ist_in_RBZ (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis__enthaelt_Gemeinde (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Kreis__hat_Verwaltung (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Kreisverwaltung
      INTEGER NOT NULL REFERENCES Kreisverwaltung
)

CREATE TABLE Kreis__enthaelt_Gemarkung (
   Kreis_kreisfreie_Stadt
      INTEGER NOT NULL REFERENCES Kreis_kreisfreie_Stadt,
   Gemarkung
      INTEGER NOT NULL REFERENCES Kataster.Gemarkung
)

CREATE TABLE Kreisart (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kreisart VALUES ('S','Stadtkreis')
INSERT INTO Kreisart VALUES ('L','Landkreis')

CREATE TABLE Gemeindebezirk (
   Gemeindebezirk_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Gemeindebezirk_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Gemeinde
      CHAR(8) NOT NULL,
   Baulast_Strassenklasse
      CHAR(1) REFERENCES Baulast_Strassenklasse,
   Gemeinde_Funktion
      CHAR(3) REFERENCES Gemeinde_Funktion
)

CREATE TABLE Gemeinde__ist_in_Kreis (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Gemeinde__enthaelt_Ortsteil (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Gemeinde__hat_Verwaltung (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Gemeindeverwaltung
      INTEGER NOT NULL REFERENCES Gemeindeverwaltung
)

CREATE TABLE Gemeinde__enthaelt_Gemarkung (
   Gemeindebezirk
      INTEGER NOT NULL REFERENCES Gemeindebezirk,
   Gemarkung
      INTEGER NOT NULL REFERENCES Kataster.Gemarkung
)

CREATE TABLE Baulast_Strassenklasse (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Baulast_Strassenklasse VALUES ('B','in OD fr B-, L- und ' ||
 'Kreisstraen')
INSERT INTO Baulast_Strassenklasse VALUES ('L','in OD fr L- und Kreisstraen')
INSERT INTO Baulast_Strassenklasse VALUES ('K','fr Kreisstraen')

CREATE TABLE Gemeinde_Funktion (
   Kennung
      CHAR(3) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Gemeinde_Funktion VALUES ('O','Ober-Zentrum')
INSERT INTO Gemeinde_Funktion VALUES ('M','Mittel-Zentrum')
INSERT INTO Gemeinde_Funktion VALUES ('U/G','Unter-/Grund-Zentrum')

CREATE TABLE Ortsteil (
   Ortsteil_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Ortsteil_ID) REFERENCES Verwaltungsbezirk,
   Kennung_Ortsteil
      CHAR(10) NOT NULL
)

CREATE TABLE Ortsteil__ist_in_Gemeinde (
   Ortsteil
      INTEGER NOT NULL REFERENCES Ortsteil,
   Verwaltungsbezirk_abstrakt
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Strassenbaudienststelle (
   Strassenbaudienststelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung_Lang
      VARCHAR(29),
   Bezeichnung_Mittel
      VARCHAR(19),
   Bezeichnung_Kurz
      VARCHAR(11),
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES Baulasttraeger,
   FOREIGN KEY (Strassenbaudienststelle_ID) REFERENCES Strassenbaudienstst_abstr,
   Art_Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Art_Strassenbaudienststelle,
   Strasse
      VARCHAR(29),
   Postleitzahl
      VARCHAR(6),
   Ort
      VARCHAR(29)
)

CREATE TABLE Art_Strassenbaudienststelle (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Strassenbaudienststelle VALUES (1,'Land_Ministerium')
INSERT INTO Art_Strassenbaudienststelle VALUES (2,'Regierungspraesidium_Landesamt')
INSERT INTO Art_Strassenbaudienststelle VALUES (3,'Amt')
INSERT INTO Art_Strassenbaudienststelle VALUES (4,'Meisterei')
INSERT INTO Art_Strassenbaudienststelle VALUES (5,'Kreisverwaltung')
INSERT INTO Art_Strassenbaudienststelle VALUES (6,'Gemeindeverwaltung')

CREATE TABLE Strassenbaud__von_Teilbauwerk (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

CREATE TABLE Strassenbaud__von_verwtechn_Z (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   verwaltungstechn_Zuordnung
      INTEGER NOT NULL REFERENCES verwaltungstechn_Zuordnung
)

CREATE TABLE Strassenbaud__von_Ereignis (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Ereignis
      INTEGER NOT NULL REFERENCES Historisierung.Ereignis
)

CREATE TABLE Strassenbaud__von_Unfallort (
   Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienststelle,
   Angaben_zum_Unfallort
      INTEGER NOT NULL REFERENCES Unfall.Angaben_zum_Unfallort
)

CREATE TABLE Strassenbaudienstst_abstr (
   Strassenbaudienstst_abstr_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Art_Strassenbaudienstst_abstr
)

CREATE TABLE Art_Strassenbaudienstst_abstr (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Strassenbaudienstst_abstr VALUES (1,'Land_Ministerium')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (2,'Regierungspraesidium_Landesamt')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (3,'Amt')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (4,'Meisterei')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (5,'Kreisverwaltung')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (6,'Gemeindeverwaltung')
INSERT INTO Art_Strassenbaudienstst_abstr VALUES (7,'Strassenbaudienstst_Symbol')

CREATE TABLE Strassenbaudienstst_Symbol (
   Strassenbaudienstst_Symbol_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Strassenbaudienstst_Symbol_ID) REFERENCES Strassenbaudienstst_abstr,
   Kennung
      VARCHAR(6) NOT NULL
)

CREATE TABLE Land_Ministerium (
   Land_Ministerium_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Land_Ministerium_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Land_Ministerium
      CHAR(2) NOT NULL
)

CREATE TABLE Land__ist_vorgesetzt (
   Land_Ministerium
      INTEGER NOT NULL REFERENCES Land_Ministerium,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Regierungspraesidium_Landesamt (
   Regierungspraesidium_Landesamt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Regierungspraesidium_Landesamt_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Regpraes_Landesamt
      CHAR(3) NOT NULL
)

CREATE TABLE Landesamt__untersteht_Land (
   Regierungspraesidium_Landesamt
      INTEGER NOT NULL REFERENCES Regierungspraesidium_Landesamt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Landesamt__ist_vorgesetzt (
   Regierungspraesidium_Landesamt
      INTEGER NOT NULL REFERENCES Regierungspraesidium_Landesamt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Amt (
   Amt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Amt_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Amt
      CHAR(4) NOT NULL
)

CREATE TABLE Amt__untersteht_Landesamt (
   Amt
      INTEGER NOT NULL REFERENCES Amt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Amt__ist_vorgesetzt (
   Amt
      INTEGER NOT NULL REFERENCES Amt,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Meisterei (
   Meisterei_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Meisterei_ID) REFERENCES Strassenbaudienststelle,
   Schluessel_Meisterei
      CHAR(6) NOT NULL
)

CREATE TABLE Meisterei__untersteht_Amt (
   Meisterei
      INTEGER NOT NULL REFERENCES Meisterei,
   Strassenbaudienstst_abstr
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
)

CREATE TABLE Kreisverwaltung (
   Kreisverwaltung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kreisverwaltung_ID) REFERENCES Strassenbaudienststelle,
   FOREIGN KEY (Kreisverwaltung_ID) REFERENCES UI_Partner
)

CREATE TABLE Gemeindeverwaltung (
   Gemeindeverwaltung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Gemeindeverwaltung_ID) REFERENCES Strassenbaudienststelle,
   FOREIGN KEY (Gemeindeverwaltung_ID) REFERENCES UI_Partner,
   Baulast_Strassenklasse
      CHAR(1),
   Gemeindefunktion
      CHAR(1)
)

CREATE TABLE sonstige_UI_Partner (
   sonstige_UI_Partner_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung_Lang
      VARCHAR(29),
   Bezeichnung_Mittel
      VARCHAR(19),
   Bezeichnung_Kurz
      VARCHAR(11),
   FOREIGN KEY (sonstige_UI_Partner_ID) REFERENCES UI_Partner,
   Kennzeichen
      VARCHAR(6)
)

CREATE TABLE UI_Vereinbarung (
   UI_Vereinbarung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (UI_Vereinbarung_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   Vertragsdatum
      CHAR(10), -- Datum
   CHECK ( Vertragsdatum LIKE '__.__.____' )
)

CREATE TABLE UI_Vereinbarung__mit_Partner (
   UI_Vereinbarung
      INTEGER NOT NULL REFERENCES UI_Vereinbarung,
   UI_Partner
      INTEGER NOT NULL REFERENCES UI_Partner
)

CREATE TABLE UI_Partner (
   UI_Partner_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (UI_Partner_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Art_UI_Partner
      INTEGER NOT NULL REFERENCES Art_UI_Partner
)

CREATE TABLE Art_UI_Partner (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(19) NOT NULL
)

INSERT INTO Art_UI_Partner VALUES (1,'Kreisverwaltung')
INSERT INTO Art_UI_Partner VALUES (2,'Gemeindeverwaltung')
INSERT INTO Art_UI_Partner VALUES (3,'sonstige_UI_Partner')

CREATE TABLE Baulast (
   Baulast_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baulast_ID) REFERENCES Strassennetz.Bereichsobjekt_hist,
   Art_Baulast
      CHAR(1) REFERENCES Art_Baulast,
   von_Baulasttraeger
      INTEGER NOT NULL REFERENCES Baulasttraeger
)

CREATE TABLE Art_Baulast (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_Baulast VALUES ('H','Hauptbaulast')
INSERT INTO Art_Baulast VALUES ('G','Gemeindebaulast')
INSERT INTO Art_Baulast VALUES ('D','Baulast Dritter')

CREATE TABLE Baulasttraeger (
   Baulasttraeger_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_Baulasttraeger
      INTEGER NOT NULL REFERENCES Art_Baulasttraeger
)

CREATE TABLE Art_Baulasttraeger (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(30) NOT NULL
)

INSERT INTO Art_Baulasttraeger VALUES (1,'Land_Ministerium')
INSERT INTO Art_Baulasttraeger VALUES (2,'Regierungspraesidium_Landesamt')
INSERT INTO Art_Baulasttraeger VALUES (3,'Amt')
INSERT INTO Art_Baulasttraeger VALUES (4,'Meisterei')
INSERT INTO Art_Baulasttraeger VALUES (5,'Kreisverwaltung')
INSERT INTO Art_Baulasttraeger VALUES (6,'Gemeindeverwaltung')
INSERT INTO Art_Baulasttraeger VALUES (7,'Baulast_Dritter')

CREATE TABLE Baulast_Dritter (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung_Lang
      VARCHAR(29),
   Bezeichnung_Mittel
      VARCHAR(19),
   Bezeichnung_Kurz
      VARCHAR(11),
   FOREIGN KEY (Kennung) REFERENCES Baulasttraeger,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Baulast_Dritter (Kennung,Langtext) VALUES (1,'Deutsche Bahn AG')
INSERT INTO Baulast_Dritter (Kennung,Langtext)
 VALUES (2,'Bundeswasserstraenverwaltung')
INSERT INTO Baulast_Dritter (Kennung,Langtext)
 VALUES (3,'Bundesfinanzverwaltung')

CREATE TABLE Dokument (
   Dokument_ID
      INTEGER NOT NULL PRIMARY KEY,
   Kennzeichen_Aktenzeichen
      VARCHAR(30),
   Seite
      INTEGER,
   verfuegt
      INTEGER REFERENCES Logical_Types.Boolean,
   Datum
      CHAR(10), -- Datum
   CHECK ( Datum LIKE '__.__.____' ),
   von_Benutzer
      VARCHAR(12),
   Wirksamkeitsdatum_Dokument
      CHAR(10), -- Datum
   CHECK ( Wirksamkeitsdatum_Dokument LIKE '__.__.____' ),
   Text
      VARCHAR(64)
)

CREATE TABLE OD_FS (
   OD_FS_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (OD_FS_ID) REFERENCES Strassennetz.Streckenobjekt_hist,
   OD_FS
      CHAR(1) NOT NULL REFERENCES Tab_OD_FS
)

CREATE TABLE Tab_OD_FS (
   Kennung
      CHAR(1) NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_OD_FS VALUES ('O','Ortsdurchfahrt')
INSERT INTO Tab_OD_FS VALUES ('V','Verknpfungsbereich')
INSERT INTO Tab_OD_FS VALUES ('E','Erschlieungsbereich')
INSERT INTO Tab_OD_FS VALUES ('F','Freie Strecke')

CREATE TABLE Widmung (
   Widmung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Widmung_ID) REFERENCES Strassennetz.Streckenobjekt_hist,
   rechtsgueltig_ab
      CHAR(10) NOT NULL, -- Datum
   CHECK ( rechtsgueltig_ab LIKE '__.__.____' ),
   Widmung
      INTEGER NOT NULL REFERENCES Tab_Widmung
)

CREATE TABLE Tab_Widmung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Tab_Widmung VALUES (0,'nicht gewidmet')
INSERT INTO Tab_Widmung VALUES (1,'gewidmet')
INSERT INTO Tab_Widmung VALUES (2,'gewidmet, wird umgestuft')

CREATE TABLE verwaltungstechn_Zuordnung (
   verwaltungstechn_Zuordnung_ID
      INTEGER NOT NULL PRIMARY KEY,
   hat_Strassenbaudienststelle
      INTEGER NOT NULL REFERENCES Strassenbaudienstst_abstr
   hat_Verwaltungsbezirk
      INTEGER NOT NULL REFERENCES Verwaltungsbezirk_abstrakt
)

CREATE TABLE Polizeidienststelle (
   Polizeidienststelle_ID
      INTEGER NOT NULL PRIMARY KEY,
   Behoerdenkennung
      VARCHAR(6) NOT NULL
)

